# $Header: /cvs/stx/stx/libbasic3/Make.spec,v 1.3 2006-02-22 22:14:01 stefan Exp $
#


MODULE=stx
MODULE_DIR=libbasic3
LIBNAME=libbasic3
THIS_IS_A_BASE_LIBRARY="yes"
PACKAGE=$(MODULE):$(LIBNAME)

#
# these are uncritical - save some bytes by compiling with optspace
#
UNCRITICALOBJS=                                  \
	$(OUTDIR)Change.$(O)                              \
	  $(OUTDIR)ClassChange.$(O)                       \
	    $(OUTDIR)ClassCommentChange.$(O)              \
	    $(OUTDIR)ClassDefinitionChange.$(O)           \
	    $(OUTDIR)ClassPrimitiveChange.$(O)            \
	    $(OUTDIR)ClassInstVarDefinitionChange.$(O)    \
	    $(OUTDIR)ClassOtherChange.$(O)                \
	    $(OUTDIR)ClassPrimitiveDefinitionsChange.$(O) \
	    $(OUTDIR)ClassPrimitiveFunctionsChange.$(O)   \
	    $(OUTDIR)ClassPrimitiveVariablesChange.$(O)   \
	    $(OUTDIR)ClassRemoveChange.$(O)   \
	    $(OUTDIR)ClassRenameChange.$(O)   \
	  $(OUTDIR)MethodChange.$(O)            \
	    $(OUTDIR)MethodCategoryChange.$(O)  \
	    $(OUTDIR)MethodCategoryRenameChange.$(O)  \
	    $(OUTDIR)MethodDefinitionChange.$(O) \
	    $(OUTDIR)MethodPrivacyChange.$(O)   \
	    $(OUTDIR)MethodRemoveChange.$(O)    \
	  $(OUTDIR)NameSpaceCreationChange.$(O) \
	  $(OUTDIR)DoItChange.$(O)              \
	  $(OUTDIR)OtherChange.$(O)             \
	$(OUTDIR)ChangeSet.$(O)                 \
	$(OUTDIR)HistoryManager.$(O)            \
	$(OUTDIR)SourceCodeManagerError.$(O)    \
	$(OUTDIR)AbstractSourceCodeManager.$(O) \
	  $(OUTDIR)CVSSourceCodeManager.$(O)    \
	$(OUTDIR)SourceCodeManagerUtilities.$(O) \
	$(OUTDIR)HTMLDocGenerator.$(O) \


OBJS=                                            \
	$(OUTDIR)Change.$(O)                              \
	  $(OUTDIR)ClassChange.$(O)                       \
	    $(OUTDIR)ClassCommentChange.$(O)              \
	    $(OUTDIR)ClassDefinitionChange.$(O)           \
	    $(OUTDIR)ClassPrimitiveChange.$(O)            \
	    $(OUTDIR)ClassInstVarDefinitionChange.$(O)    \
	    $(OUTDIR)ClassOtherChange.$(O)                \
	    $(OUTDIR)ClassPrimitiveDefinitionsChange.$(O) \
	    $(OUTDIR)ClassPrimitiveFunctionsChange.$(O)   \
	    $(OUTDIR)ClassPrimitiveVariablesChange.$(O)   \
	    $(OUTDIR)ClassRemoveChange.$(O)   \
	    $(OUTDIR)ClassRenameChange.$(O)   \
	  $(OUTDIR)MethodChange.$(O)            \
	    $(OUTDIR)MethodCategoryChange.$(O)  \
	    $(OUTDIR)MethodCategoryRenameChange.$(O)  \
	    $(OUTDIR)MethodDefinitionChange.$(O) \
	    $(OUTDIR)MethodPrivacyChange.$(O)   \
	    $(OUTDIR)MethodRemoveChange.$(O)    \
	  $(OUTDIR)NameSpaceCreationChange.$(O) \
	  $(OUTDIR)DoItChange.$(O)              \
	  $(OUTDIR)OtherChange.$(O)             \
	$(OUTDIR)ChangeSet.$(O)                 \
	$(OUTDIR)HistoryManager.$(O)            \
	$(OUTDIR)MessageTally.$(O)              \
	$(OUTDIR)CallChain.$(O)                 \
	$(OUTDIR)ProfileTree.$(O)               \
	$(OUTDIR)MessageTracer.$(O)             \
	$(OUTDIR)WrappedMethod.$(O)             \
	$(OUTDIR)SourceCodeManagerError.$(O)    \
	$(OUTDIR)AbstractSourceCodeManager.$(O) \
	  $(OUTDIR)CVSSourceCodeManager.$(O)    \
	$(OUTDIR)SourceCodeManagerUtilities.$(O) \
	$(OUTDIR)HTMLDocGenerator.$(O) \
